package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.common.core.page.TableDataInfo;
import com.fs.qw.domain.QwWatchLog;
import com.fs.qw.param.QwWatchLogStatisticsListParam;
import com.fs.qw.vo.QwWatchLogAllStatisticsListVO;
import com.fs.qw.vo.QwWatchLogStatisticsListVO;

import java.util.List;

/**
 * 企微看课Service接口
 *
 * @author fs
 * @date 2025-03-08
 */
public interface IQwWatchLogService extends IService<QwWatchLog>{
    /**
     * 查询企微看课
     *
     * @param id 企微看课主键
     * @return 企微看课
     */
    QwWatchLog selectQwWatchLogById(Long id);

    /**
     * 查询企微看课列表
     *
     * @param qwWatchLog 企微看课
     * @return 企微看课集合
     */
    List<QwWatchLog> selectQwWatchLogList(QwWatchLog qwWatchLog);

    /**
     * 新增企微看课
     *
     * @param qwWatchLog 企微看课
     * @return 结果
     */
    int insertQwWatchLog(QwWatchLog qwWatchLog);

    /**
     * 修改企微看课
     *
     * @param qwWatchLog 企微看课
     * @return 结果
     */
    int updateQwWatchLog(QwWatchLog qwWatchLog);

    /**
     * 批量删除企微看课
     *
     * @param ids 需要删除的企微看课主键集合
     * @return 结果
     */
    int deleteQwWatchLogByIds(Long[] ids);

    /**
     * 删除企微看课信息
     *
     * @param id 企微看课主键
     * @return 结果
     */
    int deleteQwWatchLogById(Long id);

    TableDataInfo selectQwWatchLogStatisticsListVO(QwWatchLogStatisticsListParam param);
    TableDataInfo selectQwWatchLogStatisticsListVONew(QwWatchLogStatisticsListParam param);
    Long selectQwWatchLogStatisticsListVONewCount(QwWatchLogStatisticsListParam param);

    List<QwWatchLogAllStatisticsListVO> selectQwWatchLogAllStatisticsListVO(QwWatchLogStatisticsListParam param);
    TableDataInfo selectQwWatchLogAllStatisticsListVONew(QwWatchLogStatisticsListParam param);



}
